ur_rna.GUITester.GuiTools.Matchers

## Class ComposableBase.BinaryMatcher.And

- java.lang.Object
- - ur_rna.GUITester.GuiTools.Matchers.ComposableBase
  - - ur_rna.GUITester.GuiTools.Matchers.ComposableBase.BinaryMatcher
    - - ur_rna.GUITester.GuiTools.Matchers.ComposableBase.BinaryMatcher.And

- All Implemented Interfaces:
    abbot.finder.Matcher, ComposableMatcher
  Enclosing class:
    ComposableBase.BinaryMatcher

      public static class ComposableBase.BinaryMatcher.And
      extends ComposableBase.BinaryMatcher

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase.BinaryMatcher

      `ComposableBase.BinaryMatcher.And, ComposableBase.BinaryMatcher.Or, ComposableBase.BinaryMatcher.Xor`

    - ### Nested classes/interfaces inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `ComposableBase.BinaryMatcher, ComposableBase.Identity, ComposableBase.Inverse`

  - ### Field Summary

    - ### Fields inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase.BinaryMatcher

      `_a, _b`

    - ### Fields inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `FALSE, TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `And(abbot.finder.Matcher a, abbot.finder.Matcher b)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(java.awt.Component c)`
    `ComposableMatcher` | `simplify()`

    - ### Methods inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase.BinaryMatcher

      `and, getChildMatchers, getLhs, getOperandName, getRhs, or, setLhs, setRhs, toString, xor`

    - ### Methods inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `and, composable, identity, inverse, inverse, or, self, simplify, withText, withText, withText, xor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### And

          public And(abbot.finder.Matcher a,
                     abbot.finder.Matcher b)

  - ### Method Detail

    - #### matches

          public boolean matches(java.awt.Component c)

    - #### simplify

          public ComposableMatcher simplify()

      Specified by:
        `simplify` in interface `ComposableMatcher`
      Overrides:
        `simplify` in class `ComposableBase`